#include <iostream>
using namespace std;

#include "Date.h"
#include "Livre.h"
#include "Etagere.h"

int main()
{
    // Exo 1
    Date* d = new Date;
    Date d2{1,1,1111};
    cout << d2 << endl;

    // Exo 2
    std::string auteur("Toto");
    std::string titre("Un livre parfait");
    Livre* l = new Livre(&auteur, titre, *d);
    Livre* l2 = new Livre(&auteur, "Un livre moins parfait", {14,7,1789}, false);

    cout << "Titre :\t" << l2->get_titre() << endl;
    cout << "Auteur :\t" << *(l2->get_auteur()) << endl;
    cout << "Paru :\t" << l2->get_date() << endl;


    // Exo 3
    Etagere e;

    e.set_position('A', 5);
    cout << "Position : " << e.get_allee() << "-" << e.get_numero() << endl;

    if (!e.add_book(l))
        cout << "l \tPas possible" << endl;
    if (!e.add_book(l, 5, 5))
        cout << " l 5 5 \tPas possible" << endl;
    if (!e.add_book(l2, 0, 0))
        cout << "l2 0 0 \tPas possible" << endl;

    if (!e.add_book(l2, 1, 0))
        cout << "l2 1 0 \tPas possible" << endl;
    if (!e.add_book(l, 2, 5))
        cout << "l 2 5 \tPas possible" << endl;

    cout << "Nb book : " << e.nb_book() << endl;

    if(e.is_full())
        cout << "Pleine" << endl;
    else
        cout << "Pas pleine" << endl;

    cout << "Nb 'Un livre moins parfait' : \t" << e.nb_exemplaire("Toto", "Un livre moins parfait") << endl;
    cout << "Nb 'Un livre imparfait' : \t" << e.nb_exemplaire("Toto", "Un livre imparfait") << endl;

    return 0;
}
