#include "Date.h"

Date::Date(int j, int m, int a)
    :jour{j}, mois{m}, annee{a}
{
    //ctor
}

Date::~Date()
{
    //dtor
}

void Date::set_jour(const int& j)
{
    if((j > 0) && (j < 32))
        jour = j;
}

void Date::set_mois(const int& m)
{
    if((m > 0) && (m < 13))
        mois = m;
}

void Date::set_annee(const int& a)
{
    if(a>0)
        annee = a;
}

std::ostream& operator<<(std::ostream& stream, const Date& d)
{
    stream << d.jour << "/" << d.mois << "/" << d.annee;
    return stream;
}
