#ifndef DATE_H
#define DATE_H

#include <ostream>


class Date
{
public:
    int get_jour()  const {return jour;}
    int get_mois()  const {return mois;}
    int get_annee() const {return annee;}

    void set_jour(const int&);
    void set_mois(const int&);
    void set_annee(const int&);

    friend std::ostream& operator<<(std::ostream&, const Date&);

    Date() = default;
    Date (int, int, int);
    virtual ~Date();

    //protected:

private:
    int jour{0};
    int mois{0};
    int annee{0};
};

#endif // DATE_H
