#ifndef ETAGERE_H
#define ETAGERE_H

#include <string>
#include "Livre.h"

class Etagere
{
public:
    Livre* get_book(std::string auteur, std::string titre) const;
    char get_allee() const {return allee;}
    int get_numero() const {return numero;}

    void set_position(char, int);
    bool add_book(Livre*, int, int);
    bool add_book(Livre*);

    int nb_book() const;
    int nb_exemplaire(std::string auteur, std::string titre) const;

    bool is_full() const {return full;}

    Etagere();
    virtual ~Etagere();

protected:

private:
    //Livre*** contenu;
    Livre* contenu[3][10];
    char allee{'Z'};
    int numero{0};
    bool full{false};
};

#endif // ETAGERE_H
